Skip to main content
GET
/
orders
/
{id}
/
shipping
Get Order Shipping
curl --request GET \
  --url https://api.bitbybit.studio/customer/api/open/v1/orders/{id}/shipping \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bitbybit.studio/customer/api/open/v1/orders/{id}/shipping"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bitbybit.studio/customer/api/open/v1/orders/{id}/shipping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "companyId": 123,
    "id": "<string>",
    "name": "<string>",
    "fee": 123,
    "currency": "<string>",
    "deliveryAddress": "<string>",
    "deliveryEmail": "<string>",
    "deliveryLatitude": 123,
    "deliveryLongitude": 123,
    "deliveryCity": "<string>",
    "deliveryProvince": "<string>",
    "deliveryZip": "<string>",
    "deliveryCountry": "<string>",
    "deliveryName": "<string>",
    "deliveryNotes": "<string>",
    "deliveryPhone": "<string>",
    "deliveryKecamatan": "<string>",
    "deliveryKecamatanId": 123,
    "deliveryKelurahan": "<string>",
    "deliveryKelurahanId": 123,
    "driverLicensePlate": "<string>",
    "driverName": "<string>",
    "driverPhone": "<string>",
    "driverPhoto": "<string>",
    "senderAddress": "<string>",
    "senderEmail": "<string>",
    "senderLatitude": 123,
    "senderLongitude": 123,
    "senderName": "<string>",
    "senderNotes": "<string>",
    "senderPhone": "<string>",
    "senderZip": "<string>",
    "senderCountry": "<string>",
    "senderProvince": "<string>",
    "senderCity": "<string>",
    "senderKecamatan": "<string>",
    "senderKelurahan": "<string>",
    "senderKecamatanId": 123,
    "senderKelurahanId": 123,
    "shippingStatus": "<string>",
    "trackingUrl": "<string>",
    "deliveryMethod": "<string>",
    "distance": 123,
    "packageWeight": 123,
    "packageLength": 123,
    "packageWidth": 123,
    "packageHeight": 123,
    "orderNo": "<string>",
    "bookingId": "<string>",
    "cancellationReason": "<string>",
    "retryBooking": true,
    "eventTimestamp": "<string>",
    "cancelledBy": "<string>",
    "cancelledSource": "<string>",
    "itemName": "<string>",
    "itemType": "<string>",
    "itemValue": 123,
    "itemQty": 123,
    "shippingNotes": "<string>",
    "insurance": true,
    "insuranceFee": 123,
    "insuranceAmount": 123,
    "discountAmount": 123,
    "discountPercentage": 123,
    "pickupSchedule": "2023-11-07T05:31:56Z",
    "courierGroup": "<string>",
    "selectedExpedition": "<string>",
    "selectedDelivery": "<string>",
    "bikeFuelType": "<string>",
    "pickupNumber": "<string>",
    "paymentId": "<string>",
    "paymentStatus": "<string>",
    "awb": "<string>",
    "serviceName": "<string>",
    "statusCode": 123,
    "storeLocationId": "<string>"
  }
}
{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

id
string
required

Order ID — the unique identifier of the order.

Response

Successful response

data
object | null

Shipping method selected for an order.